SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO


ALTER  view orange_billing_period_raw_view
(startyear, startmonth, startday, endyear, endmonth, endday, counting)
as

select datepart(year, tariff_start)as startyear,
datepart(month, tariff_start)as startmonth, 
datepart(day, tariff_start)as startday,

datepart(year, tariff_end)as endyear,
datepart(month, tariff_end)as endmonth, 
datepart(day, tariff_end)as endday,
count(*) as counting


from orangebills

group by datepart(year, tariff_start),
datepart(month, tariff_start), 
datepart(day, tariff_start),
datepart(year, tariff_end),
datepart(month, tariff_end), 
datepart(day, tariff_end)
/*
order by datepart(year, tariff_start),
datepart(month, tariff_start), 
datepart(day, tariff_start), counting desc
*/

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

